## ros-rolling-camera-info-manager 3.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(camera_info_manager)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(MSVC)
  add_compile_definitions(_SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(ament_index_cpp REQUIRED)
find_package(camera_calibration_parsers REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(sensor_msgs REQUIRED)

# add a library
add_library(${PROJECT_NAME} src/camera_info_manager.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_compile_definitions(${PROJECT_NAME} PRIVATE "CAMERA_INFO_MANAGER_BUILDING_DLL")
target_link_libraries(${PROJECT_NAME} PUBLIC
  rclcpp::rclcpp
  ${sensor_msgs_TARGETS})
target_link_libraries(${PROJECT_NAME} PRIVATE
  ament_index_cpp::ament_index_cpp
  camera_calibration_parsers::camera_calibration_parsers
  rcpputils::rcpputils)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

ament_export_dependencies(ament_index_cpp camera_calibration_parsers rclcpp rcpputils sensor_msgs)
ament_export_targets(export_${PROJECT_NAME})

if(BUILD_TESTING)
  #TODO(mjcarroll) switch back to this once I can fix copyright check
  #find_package(ament_lint_auto REQUIRED)
  #ament_lint_auto_find_test_dependencies()

  #find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  #TODO(mjcarroll) Headers need to be .hpp for this to work properly.
  #ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  #TODO(mjcarroll) Enable unit test with rostest
  #add_executable(unit_test tests/unit_test.cpp)
  #target_link_libraries(unit_test ${PROJECT_NAME})
  #add_rostest(tests/unit_test.test DEPENDENCIES unit_test)
endif()

ament_package()

=== debian/changelog ===
ros-rolling-camera-info-manager (3.1.2-1focal) focal; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-camera-info-manager (3.1.0-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 29 Jun 2021 07:00:00 -0000

ros-rolling-camera-info-manager (3.0.0-1focal) focal; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 May 2021 07:00:00 -0000

ros-rolling-camera-info-manager (2.3.0-1focal) focal; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Enable Windows build. (#159 <https://github.com/ros-perception/image_common/issues/159>)
  * Contributors: Martin Idel, Sean Yen

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 May 2020 07:00:00 -0000

ros-rolling-camera-info-manager (2.2.1-1focal) focal; urgency=high

  * Fix abort criteria for setCameraInfoService callback (#132 <https://github.com/ros-perception/image_common/issues/132>)
  * Contributors: Joseph Schornak

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.2.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.1.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.1.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-camera-info-manager (2.0.0-1focal) focal; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.13-1focal) focal; urgency=high

  * Fix the find_package(catkin) redundancy
  * Add a dependency between the test and the test executable
  * Add camera_calibration_parsers dependency to camera_info_manager
  * Contributors: Max Schettler, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.12-1focal) focal; urgency=high

  * 1.11.11
  * update changelogs
  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.11-1focal) focal; urgency=high

  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.9-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.8-1focal) focal; urgency=high

  * fix compilation on Fedora, fixes #42 <https://github.com/ros-perception/image_common/issues/42>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.7-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.6-1focal) focal; urgency=high

  * simplify target_link_libraries
    That should fix #35 <https://github.com/ros-perception/image_common/issues/35>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2015 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 21 Sep 2014 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.3-1focal) focal; urgency=high

  * Add public member function to manually set camera info (#19 <https://github.com/ros-perception/image_common/issues/19>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Jack O'Quin, Jonathan Bohren, Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2014 07:00:00 -0000

ros-rolling-camera-info-manager (1.11.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Feb 2014 08:00:00 -0000

ros-rolling-camera-info-manager (1.11.1-1focal) focal; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 10:33:00 -0000

ros-rolling-camera-info-manager (1.11.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 19:23:00 -0000

ros-rolling-camera-info-manager (1.10.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 10:34:00 -0000

ros-rolling-camera-info-manager (1.10.4-1focal) focal; urgency=high

  * add Jack as maintainer
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 18:42:00 -0000



=== debian/control ===
Source: ros-rolling-camera-info-manager
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-camera-calibration-parsers, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/camera_info_manager
Standards-Version: 3.9.2

Package: ros-rolling-camera-info-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-camera-calibration-parsers, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: This package provides a C++ interface for camera calibration information.
 It provides CameraInfo, and handles SetCameraInfo service requests, saving and restoring the camera calibration data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-camera-info-manager//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-camera-info-manager 4.5.1

=== debian/changelog ===
ros-rolling-camera-info-manager (4.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-camera-info-manager (4.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-camera-info-manager (4.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-camera-info-manager (4.2.0-1jammy) jammy; urgency=high

  * Update image_common to C++17. (#267 <https://github.com/ros-perception/image_common/issues/267>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-camera-info-manager (4.1.1-1jammy) jammy; urgency=high

  * Add alias library targets for all libraries (#259 <https://github.com/ros-perception/image_common/issues/259>)
  * Contributors: RFRIEDM-Trimble

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Nov 2022 00:00:00 -0000

ros-rolling-camera-info-manager (4.1.0-1jammy) jammy; urgency=high

  * Add lifecycle node compatibility to camera_info_manager (#190 <https://github.com/ros-perception/image_common/issues/190>)
  * Contributors: Ramon Wijnands

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-camera-info-manager (4.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 Aug 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.2.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Jul 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.1.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.1.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.1.2-1jammy) jammy; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-camera-info-manager (3.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 29 Jun 2021 00:00:00 -0000

ros-rolling-camera-info-manager (3.0.0-1jammy) jammy; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 May 2021 00:00:00 -0000

ros-rolling-camera-info-manager (2.3.0-1jammy) jammy; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Enable Windows build. (#159 <https://github.com/ros-perception/image_common/issues/159>)
  * Contributors: Martin Idel, Sean Yen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 May 2020 00:00:00 -0000

ros-rolling-camera-info-manager (2.2.1-1jammy) jammy; urgency=high

  * Fix abort criteria for setCameraInfoService callback (#132 <https://github.com/ros-perception/image_common/issues/132>)
  * Contributors: Joseph Schornak

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-camera-info-manager (2.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-rolling-camera-info-manager (2.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-rolling-camera-info-manager (2.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-rolling-camera-info-manager (2.0.0-1jammy) jammy; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Dec 2018 00:00:00 -0000

ros-rolling-camera-info-manager (1.11.13-1jammy) jammy; urgency=high

  * Fix the find_package(catkin) redundancy
  * Add a dependency between the test and the test executable
  * Add camera_calibration_parsers dependency to camera_info_manager
  * Contributors: Max Schettler, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2017 00:00:00 -0000

ros-rolling-camera-info-manager (1.11.12-1jammy) jammy; urgency=high

  * 1.11.11
  * update changelogs
  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 29 Jan 2017 00:00:00 -0000

ros-rolling-camera-info-manager (1.11.11-1jammy) jammy; urgency=high

  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 24 Sep 2016 00:00:00 -0000

ros-rolling-camera-info-manager (1.11.10-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Jan 2016 00:00:00 -0000

ros-rolling-camera-info-manager (1.11.9-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 Jan 2016 00:00:00 -0000



=== debian/control ===
Source: ros-rolling-camera-info-manager
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-camera-calibration-parsers, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/camera_info_manager
Standards-Version: 3.9.2

Package: ros-rolling-camera-info-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-camera-calibration-parsers, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: This package provides a C++ interface for camera calibration information.
 It provides CameraInfo, and handles SetCameraInfo service requests, saving and restoring the camera calibration data.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
